FiSci
  1. Fire Simulations
FiSci
  • Fire Simulations
    • Create Fire Simulation
      POST
    • Fire Simulation Result
  1. Fire Simulations

Fire Simulation Result

Testing
Webhook
POST
Fire Simulation Result
Returns the completed fire simulation once completed

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "simulation_id": "string",
    "status": "string",
    "metadata": {
        "total_frames": 0
    },
    "frames": [
        {
            "timestamp": "2019-08-24T14:15:22.123Z",
            "fire_footprint": {
                "type": "string",
                "features": [
                    {
                        "id": "string",
                        "type": "string",
                        "properties": {
                            "value": 0,
                            "frame_no": 0,
                            "frame_number": 0,
                            "timestamp": "string"
                        },
                        "geometry": {
                            "type": "string",
                            "coordinates": [
                                [
                                    [
                                        0
                                    ]
                                ]
                            ]
                        }
                    }
                ]
            }
        }
    ]
}'
Response Response Example
{}
Modified at 2026-03-07 07:43:29
Previous
Create Fire Simulation
Built with